
goog.provide('tyrion.App');

goog.require('goog.dom.classes');
goog.require('tyrion.ui.Login');


goog.scope(function() {
var _ = tyrion;



/**
 * Manages the whole application.
 * @constructor
 */
_.App = function() {
  /**
   * The div layer that contains the application.
   * @type {Element}
   * @private
   */
  this.container_ = goog.dom.getElement('container');

  goog.dom.classes.add(this.container_, goog.getCssName('container'));
};


/**
 * The component currently in charge of the root display.
 * @type {goog.ui.Component}
 * @private
 */
_.App.prototype.root_;


/**
 * Bootstrap and configure the login screen of the app.
 */
_.App.prototype.runLogin = function() {
  this.root_ = new tyrion.ui.Login();
  this.root_.render(this.container_);
};

});  // goog.scope
