
/**
 * @fileoverview Utilities to switch on the loggers for debugging.
 * @author ernestokarim@gmail.com (Ernesto Alejo Oltra).
 */
goog.provide('tyrion.logger');

goog.require('goog.debug.DivConsole');
goog.require('goog.debug.FancyWindow');
goog.require('goog.debug.Logger');


/**
 * Prepares a new div console to see the logs.
 */
tyrion.logger.startWindow = function() {
  goog.debug.Logger.getLogger('goog').setLevel(goog.debug.Logger.Level.OFF);

  var debugWindow = new goog.debug.FancyWindow('main');
  debugWindow.setEnabled(true);
  debugWindow.init();
};


/**
 * Prepares a new fancy window to see the logs.
 */
tyrion.logger.startConsole = function() {
  goog.debug.Logger.getLogger('goog').setLevel(goog.debug.Logger.Level.OFF);

  var logConsole = new goog.debug.DivConsole(goog.dom.getElement('log'));
  logConsole.setCapturing(true);
};


tyrion.logger.startConsole();
