package main

import (
	"flag"
	"net/http"

	// Import the router table and enable the app to bootstrap
	// itself using an init() function.
	_ "github.com/ernestokarim/tyrion/server"

	"github.com/ernestokarim/serverlib/app"
	"github.com/ernestokarim/tyrion/server/config"
)

var dev = flag.Bool("dev", false, "starts the server in debug mode")

func main() {
	flag.Parse()

	// Set the current package (to be able to locate the templates)
	app.Package = "github.com/ernestokarim/tyrion"

	// Choose the listening port
	port := ":8080"
	if *dev {
		port = ":8082"

		// Change some config flags
		config.DEBUG = true
	}

	panic(http.ListenAndServe(port, nil))
}
