package server

import (
	"net/http"

	"github.com/ernestokarim/serverlib/app"
	"github.com/ernestokarim/tyrion/server/stuff"
	"github.com/gorilla/mux"

	"code.google.com/p/go.net/websocket"
)

func init() {
	r := mux.NewRouter().StrictSlash(true)
	http.Handle("/", r)

	// Special handler for static files.
	http.Handle("/static/", http.StripPrefix("/static/", http.FileServer(http.Dir("static"))))

	// Stuff handlers.
	r.Handle("/", app.Handler(stuff.Home))

	// Client connection (using websocket) handler.
	r.Handle("/ws", websocket.Handler(stuff.ClientConnection))
}
