package stuff

import (
	"github.com/ernestokarim/serverlib/app"
	"github.com/ernestokarim/tyrion/server/config"
)

type HomeTemplateData struct {
	Debug, Compiled bool
}

type HomeData struct {
	Compiled bool `schema:"compiled"`
}

func Home(r *app.Request) error {
	data := new(HomeData)
	if err := r.LoadData(data); err != nil {
		return err
	}

	tdata := &HomeTemplateData{
		Debug:    config.DEBUG,
		Compiled: data.Compiled,
	}
	return r.ExecuteTemplate([]string{"base"}, tdata)
}
